-- This is the default 'solid' type block.
-- It is called "s" because that is easy to type.

function p.__get_is_solid() return true end

function p.__get_is_solid_physically() return true end
function p.__get_is_solid_move_body() return true end
function p.__get_is_solid_visibly() return false end
function p.__get_is_solid_visibly_glass() return true end

function p.__get_tex() return "block_glass" end

function p.__main()
    set_default_block("block_glass")

    --So is not totally boring once you shrink.
    std.create_edges("s")
end
